/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCounter_H__
#define __GdomCounter_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCounter GdomCounter;
typedef struct _GdomCounterClass GdomCounterClass;


#define GDOM_TYPE_COUNTER            (gdom_counter_get_type())
#define GDOM_COUNTER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_COUNTER, GdomCounter))
#define GDOM_COUNTER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_COUNTER, GdomCounter)Class)
#define GDOM_IS_COUNTER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_COUNTER))
#define GDOM_IS_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_COUNTER))
#define GDOM_COUNTER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_COUNTER, GdomCounterClass))

typedef struct _GdomCounterPrivate GdomCounterPrivate;

struct _GdomCounter {
    GdomDOMObject parent_instance;
    GdomCounterPrivate *priv;
};

struct _GdomCounterClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_counter_get_type (void);

G_END_DECLS

#endif /* __GdomCounter_H__ */
